<?php

namespace App\Http\Requests\SchoolYears;

use Illuminate\Foundation\Http\FormRequest;

class PreviewCloseSchoolYearRequest extends FormRequest
{
    public function authorize(): bool
    {
        return true;
    }

    public function rules(): array
    {
        return [
            'new_school_year' => ['required', 'array'],
            'new_school_year.name' => ['required', 'string', 'max:50'],
            'new_school_year.start_date' => ['required', 'date'],
            'new_school_year.end_date' => ['required', 'date', 'after:new_school_year.start_date'],
            'transfer_unpaid_balances' => ['nullable', 'boolean'],
        ];
    }
}
